/*****************************************************************************/
/*									     */
/*									     */
/*	Xpack version 1.00 -- module loadsave.c				     */
/*									     */
/*	Functions for highscores and loading/saving games.		     */
/*	Written by Michael Bischoff (mbi@mo.math.nat.tu-bs.de)		     */
/*	November-1994							     */
/*	see COPYRIGHT.xpack for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/
#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE
#endif
#include <limits.h>
#include <unistd.h>
#include <time.h>
#include "xpack.h"
#include "version.h"

/* code to switch between real and effective user id */
/* we must use the real user id when saving files */

void switch_uid(int to_real) {
#ifdef _POSIX_SAVED_IDS
    static int uid_state = -1; /* -1 = unknown, 1 = real, 0 = effective */
    static uid_t real_uid, effective_uid;
    if (uid_state < 0) {
	real_uid = getuid();
	effective_uid = geteuid();
	uid_state = 0;
    }
    if (to_real != uid_state && real_uid != effective_uid) {
	setuid(to_real ? real_uid : effective_uid);
	uid_state = to_real;
    }
#endif
}

void setlangdir(void) {
    const char *s;
    char p[256];
    if ((s = getenv("LANG"))) {
	sprintf(p, "%s/%s", xpackdir, s);
	if (!access(p, F_OK)) {		/* langdir does exist */
	    langdir = s;
	    return;
	}
    }
    langdir = "";
}

const char *savedir = NULL;

#define NARGS	16	/* score, pushes, moves, time */
#define BUFSIZE	256	/* at least length of longest shortname + 1 */

#define MAGIC1	0x741b	/* magic of xpack version 1 */
#define MAGICS	0x741c	/* magic of xpack version 1 simple file */
#define MAGICH	0x741d	/* magic of xpack version 1 highscore file */



void cmd_ReadHighscores(void) {
}

void WriteHighscores(void) {
}

int highscore[300];
